# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_disk`](#dsc_disk): The DSC Disk resource type. Automatically generated from version 6.0.0
* [`dsc_diskaccesspath`](#dsc_diskaccesspath): The DSC DiskAccessPath resource type. Automatically generated from version 6.0.0
* [`dsc_mountimage`](#dsc_mountimage): The DSC MountImage resource type. Automatically generated from version 6.0.0
* [`dsc_opticaldiskdriveletter`](#dsc_opticaldiskdriveletter): The DSC OpticalDiskDriveLetter resource type. Automatically generated from version 6.0.0
* [`dsc_waitfordisk`](#dsc_waitfordisk): The DSC WaitForDisk resource type. Automatically generated from version 6.0.0
* [`dsc_waitforvolume`](#dsc_waitforvolume): The DSC WaitForVolume resource type. Automatically generated from version 6.0.0

## Resource types

### <a name="dsc_disk"></a>`dsc_disk`

The DSC Disk resource type.
Automatically generated from version 6.0.0

#### Properties

The following properties are available in the `dsc_disk` type.

##### `dsc_allocationunitsize`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the allocation unit size to use when formatting the volume.

##### `dsc_allowdestructive`

Data type: `Optional[Boolean]`

Specifies if potentially destructive operations may occur.

##### `dsc_cleardisk`

Data type: `Optional[Boolean]`

Specifies if the disks partition schema should be removed entirely, even if data and OEM partitions are present. Only possible with AllowDestructive enabled.

##### `dsc_devdrive`

Data type: `Optional[Boolean]`

Specifies if the volume should be formatted as a Dev Drive.

##### `dsc_diskid`

Data type: `String`

Specifies the disk identifier for the disk to modify.

##### `dsc_diskidtype`

Data type: `Optional[Enum['Number', 'number', 'UniqueId', 'uniqueid', 'Guid', 'guid', 'Location', 'location', 'FriendlyName', 'friendlyname', 'SerialNumber', 'serialnumber']]`

Specifies the identifier type the DiskId contains. Defaults to Number.

##### `dsc_fsformat`

Data type: `Optional[Enum['NTFS', 'ntfs', 'ReFS', 'refs']]`

Specifies the file system format of the new volume.

##### `dsc_fslabel`

Data type: `Optional[String]`

Define volume label if required.

##### `dsc_partitionstyle`

Data type: `Optional[Enum['MBR', 'mbr', 'GPT', 'gpt']]`

Specifies the partition style of the disk. Defaults to GPT.

##### `dsc_size`

Data type: `Optional[Integer[0, 18446744073709551615]]`

Specifies the size of new volume. Leave empty to use the remaining free space.

#### Parameters

The following parameters are available in the `dsc_disk` type.

* [`dsc_driveletter`](#-dsc_disk--dsc_driveletter)
* [`dsc_psdscrunascredential`](#-dsc_disk--dsc_psdscrunascredential)
* [`name`](#-dsc_disk--name)
* [`validation_mode`](#-dsc_disk--validation_mode)

##### <a name="-dsc_disk--dsc_driveletter"></a>`dsc_driveletter`

namevar

Data type: `String`

Specifies the identifier for which disk to modify.

##### <a name="-dsc_disk--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_disk--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_disk--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_diskaccesspath"></a>`dsc_diskaccesspath`

The DSC DiskAccessPath resource type.
Automatically generated from version 6.0.0

#### Properties

The following properties are available in the `dsc_diskaccesspath` type.

##### `dsc_allocationunitsize`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the allocation unit size to use when formatting the volume.

##### `dsc_diskid`

Data type: `String`

Specifies the disk identifier for the disk to modify.

##### `dsc_diskidtype`

Data type: `Optional[Enum['Number', 'number', 'UniqueId', 'uniqueid', 'Guid', 'guid', 'Location', 'location', 'FriendlyName', 'friendlyname', 'SerialNumber', 'serialnumber']]`

Specifies the identifier type the DiskId contains. Defaults to Number.

##### `dsc_fsformat`

Data type: `Optional[Enum['NTFS', 'ntfs', 'ReFS', 'refs']]`

Specifies the file system format of the new volume.

##### `dsc_fslabel`

Data type: `Optional[String]`

Define volume label if required.

##### `dsc_nodefaultdriveletter`

Data type: `Optional[Boolean]`

Specifies no automatic drive letter assignment to the partition: Defaults to True

##### `dsc_size`

Data type: `Optional[Integer[0, 18446744073709551615]]`

Specifies the size of new volume.

#### Parameters

The following parameters are available in the `dsc_diskaccesspath` type.

* [`dsc_accesspath`](#-dsc_diskaccesspath--dsc_accesspath)
* [`dsc_psdscrunascredential`](#-dsc_diskaccesspath--dsc_psdscrunascredential)
* [`name`](#-dsc_diskaccesspath--name)
* [`validation_mode`](#-dsc_diskaccesspath--validation_mode)

##### <a name="-dsc_diskaccesspath--dsc_accesspath"></a>`dsc_accesspath`

namevar

Data type: `String`

Specifies the access path folder to the assign the disk volume to.

##### <a name="-dsc_diskaccesspath--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_diskaccesspath--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_diskaccesspath--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_mountimage"></a>`dsc_mountimage`

The DSC MountImage resource type.
Automatically generated from version 6.0.0

#### Properties

The following properties are available in the `dsc_mountimage` type.

##### `dsc_access`

Data type: `Optional[Enum['ReadOnly', 'readonly', 'ReadWrite', 'readwrite']]`

Allows a VHD file to be mounted in read-only or read-write mode. ISO files are mounted in read-only mode regardless of what parameter value you provide.

##### `dsc_driveletter`

Data type: `Optional[String]`

Specifies the drive letter to mount this VHD or ISO to.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Determines whether the VHD or ISO should be mounted or not.

##### `dsc_storagetype`

Data type: `Optional[Enum['ISO', 'iso', 'VHD', 'vhd', 'VHDx', 'vhdx', 'VHDSet', 'vhdset']]`

Specifies the storage type of a file. If the StorageType parameter is not specified, then the storage type is determined by file extension.

#### Parameters

The following parameters are available in the `dsc_mountimage` type.

* [`dsc_imagepath`](#-dsc_mountimage--dsc_imagepath)
* [`dsc_psdscrunascredential`](#-dsc_mountimage--dsc_psdscrunascredential)
* [`name`](#-dsc_mountimage--name)
* [`validation_mode`](#-dsc_mountimage--validation_mode)

##### <a name="-dsc_mountimage--dsc_imagepath"></a>`dsc_imagepath`

namevar

Data type: `String`

Specifies the path of the VHD or ISO file.

##### <a name="-dsc_mountimage--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_mountimage--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_mountimage--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_opticaldiskdriveletter"></a>`dsc_opticaldiskdriveletter`

The DSC OpticalDiskDriveLetter resource type.
Automatically generated from version 6.0.0

#### Properties

The following properties are available in the `dsc_opticaldiskdriveletter` type.

##### `dsc_driveletter`

Data type: `String`

Specifies the drive letter to assign to the optical disk. Can be a single letter, optionally followed by a colon. This value is ignored if Ensure is set to Absent.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Determines whether a drive letter should be assigned to the optical disk. Defaults to 'Present'.

#### Parameters

The following parameters are available in the `dsc_opticaldiskdriveletter` type.

* [`dsc_diskid`](#-dsc_opticaldiskdriveletter--dsc_diskid)
* [`dsc_psdscrunascredential`](#-dsc_opticaldiskdriveletter--dsc_psdscrunascredential)
* [`name`](#-dsc_opticaldiskdriveletter--name)
* [`validation_mode`](#-dsc_opticaldiskdriveletter--validation_mode)

##### <a name="-dsc_opticaldiskdriveletter--dsc_diskid"></a>`dsc_diskid`

namevar

Data type: `String`

Specifies the optical disk number for the disk to assign the drive letter to.

##### <a name="-dsc_opticaldiskdriveletter--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_opticaldiskdriveletter--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_opticaldiskdriveletter--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_waitfordisk"></a>`dsc_waitfordisk`

The DSC WaitForDisk resource type.
Automatically generated from version 6.0.0

#### Properties

The following properties are available in the `dsc_waitfordisk` type.

##### `dsc_diskidtype`

Data type: `Optional[Enum['Number', 'number', 'UniqueId', 'uniqueid', 'Guid', 'guid', 'Location', 'location', 'FriendlyName', 'friendlyname', 'SerialNumber', 'serialnumber']]`

Specifies the identifier type the DiskId contains. Defaults to Number.

##### `dsc_isavailable`

Data type: `Optional[Boolean]`

Will indicate whether Disk is available.

##### `dsc_retrycount`

Data type: `Optional[Integer[0, 4294967295]]`

The number of times to loop the retry interval while waiting for the disk.

##### `dsc_retryintervalsec`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the number of seconds to wait for the disk to become available.

#### Parameters

The following parameters are available in the `dsc_waitfordisk` type.

* [`dsc_diskid`](#-dsc_waitfordisk--dsc_diskid)
* [`dsc_psdscrunascredential`](#-dsc_waitfordisk--dsc_psdscrunascredential)
* [`name`](#-dsc_waitfordisk--name)
* [`validation_mode`](#-dsc_waitfordisk--validation_mode)

##### <a name="-dsc_waitfordisk--dsc_diskid"></a>`dsc_diskid`

namevar

Data type: `String`

Specifies the disk identifier for the disk to wait for.

##### <a name="-dsc_waitfordisk--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_waitfordisk--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_waitfordisk--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_waitforvolume"></a>`dsc_waitforvolume`

The DSC WaitForVolume resource type.
Automatically generated from version 6.0.0

#### Properties

The following properties are available in the `dsc_waitforvolume` type.

##### `dsc_retrycount`

Data type: `Optional[Integer[0, 4294967295]]`

The number of times to loop the retry interval while waiting for the volume.

##### `dsc_retryintervalsec`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the number of seconds to wait for the volume to become available.

#### Parameters

The following parameters are available in the `dsc_waitforvolume` type.

* [`dsc_driveletter`](#-dsc_waitforvolume--dsc_driveletter)
* [`dsc_psdscrunascredential`](#-dsc_waitforvolume--dsc_psdscrunascredential)
* [`name`](#-dsc_waitforvolume--name)
* [`validation_mode`](#-dsc_waitforvolume--validation_mode)

##### <a name="-dsc_waitforvolume--dsc_driveletter"></a>`dsc_driveletter`

namevar

Data type: `String`

Specifies the drive letter of the volume to wait for.

##### <a name="-dsc_waitforvolume--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_waitforvolume--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_waitforvolume--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

