@{
    # Version number of this module.
    moduleVersion        = '6.0.0'

    # ID used to uniquely identify this module
    GUID                 = '00d73ca1-58b5-46b7-ac1a-5bfcf5814faf'

    # Author of this module
    Author               = 'DSC Community'

    # Company or vendor of this module
    CompanyName          = 'DSC Community'

    # Copyright statement for this module
    Copyright            = 'Copyright the DSC Community contributors. All rights reserved.'

    # Description of the functionality provided by this module
    Description          = 'DSC resources for managing storage on Windows Servers.'

    # Minimum version of the Windows PowerShell engine required by this module
    PowerShellVersion    = '4.0'

    # Minimum version of the common language runtime (CLR) required by this module
    CLRVersion           = '4.0'

    # Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
    FunctionsToExport    = @()

    # Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
    CmdletsToExport      = @()

    # Variables to export from this module
    VariablesToExport    = @()

    # Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
    AliasesToExport      = @()

    # DSC resources to export from this module
    DscResourcesToExport = @('DiskAccessPath','MountImage','OpticalDiskDriveLetter','WaitForDisk','WaitForVolume','Disk')

    # Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
    PrivateData          = @{
        PSData = @{
            # Set to a prerelease string value if the release should be a prerelease.
            Prerelease   = ''

            # Tags applied to this module. These help with module discovery in online galleries.
            Tags         = @('DesiredStateConfiguration', 'DSC', 'DSCResource', 'Disk', 'Storage', 'Partition', 'Volume', 'DevDrive')

            # A URL to the license for this module.
            LicenseUri   = 'https://github.com/dsccommunity/StorageDsc/blob/main/LICENSE'

            # A URL to the main website for this project.
            ProjectUri   = 'https://github.com/dsccommunity/StorageDsc'

            # A URL to an icon representing this module.
            IconUri      = 'https://dsccommunity.org/images/DSC_Logo_300p.png'

            # ReleaseNotes of this module
            ReleaseNotes = '## [6.0.0] - 2024-03-19

### Added

- Disk:
  - BREAKING CHANGE: Added support for volumes to be formatted as Dev Drives -
    Fixes [Issue #276](https://github.com/dsccommunity/StorageDsc/issues/276).
  - Fixed minor markdown linting issues in README.md and used to issue BREAKING
    CHANGE commit - Fixes [Issue #282](https://github.com/dsccommunity/StorageDsc/issues/282).
- Updated tag from ''Dev Drive'' to ''DevDrive'' in manifest file - Fixes [Issue #280](https://github.com/dsccommunity/StorageDsc/issues/280).

### Changed

- OpticalDiskDriveLetter:
  - Fix detection of virtual optical drives by changing logic to detect how
    a mounted ISO is detected. This resolves issues with using the resource
    in Azure Gen2 VMs with Windows Server 2022 Azure Edition - Fixes [Issue #285](https://github.com/dsccommunity/StorageDsc/issues/285).

### Fixed

- Azure DevOps Build Pipeline:
  - Tests ''Unit (Windows Server 2022)'' corrected to execute on Windows Server
    2022 node instead of Windows Server 2019.
  - ''Package Module'' job runs on ''windows-latest'' hosted agent to resolve
    ''Unable to load shared library ''libmi'' or one of its dependencies.'' error.
- Disk:
  - Fixed unit test failure loading `StorageDsc.Common.strings` due to change in
    `DscResource.Common\Get-LocalizationData` in [this PR](https://github.com/dsccommunity/DscResource.Common/pull/109).

'
        } # End of PSData hashtable
    } # End of PrivateData hashtable
}
